# vim: set ts=4 sw=4 et:

Name:           mp3diags-unstable
Version:        1.1.08.062
Release:        1.pm.1.2
Summary:        Find and fix Problems in MP3 Files
# http://mesh.dl.sourceforge.net/project/mp3diags/unstable/mp3diags-src/MP3Diags-unstable-%{version}.tar.gz
Source:         MP3Diags-unstable-%{version}.tar.bz2
Patch1:         mp3diags-docdir.patch.in
Patch2:         mp3diags-fix_desktop_file.patch
URL:            http://mp3diags.sourceforge.net
Group:          Productivity/Multimedia/Sound/Editors and Convertors
License:        GNU General Public License version 2 (GPL v2)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  boost-devel
BuildRequires:  libqt4-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc-c++ make glibc-devel update-desktop-files
Conflicts:      mp3diags

%description
MP3 Diags finds problems in MP3 files and helps the user fix many of them. It
looks at both the audio part (VBR info, quality, normalization) and the tags
containing track information (ID3). It has a tag editor, which can download
album information (including cover art) from MusicBrainz and Discogs, as well
as paste data from the clipboard. Track information can also be extracted from
a file's name. Another component is the file renamer, which can rename files
based on the fields in their ID3V2 tag (artist, track number, album, genre,
etc.).




Authors:
--------
    Marian Ciobanu <ciobi@inbox.com>

%prep
%setup -q -n "MP3Diags-unstable-%{version}"
%patch1
%patch2

./AdjustMt.sh

%build
pushd src
qmake QMAKE_CXXFLAGS=-DDOCDIR="\\\"\\\\\\\"%{_docdir}/%{name}\\\\\\\"\\\""" %{optflags}"
%__make %{?_smp_flags}
popd #src

%install
%__install -D -m0755 bin/MP3Diags-unstable "%{buildroot}%{_bindir}/MP3Diags"
%__ln_s MP3Diags "%{buildroot}%{_bindir}/mp3diags"

%__install -D -m0644 desktop/MP3Diags-unstable.desktop "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m0644 desktop/MP3Diags-unstable48.png "%{buildroot}%{_datadir}/pixmaps/MP3Diags.png"

%suse_update_desktop_file -r "%{name}" AudioVideo AudioVideoEditing

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc changelog.txt COPYING
%{_bindir}/mp3diags
%{_bindir}/MP3Diags
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/MP3Diags.png

%changelog
* Sun Aug 28 2011 pascal.bleser@opensuse.org
- update to 1.1.08.062:
  * made Discogs queries after a Discogs API change
  * fixed track numbering when querying multi-volume albums from Discogs
  * made Linux shell integration accept file names containing spaces
  * added close button for dialogs on Gnome 3
* Sun Jul 31 2011 pascal.bleser@opensuse.org
- update to 1.1.07.061:
  * shell integration for Linux
  * replaced MP3Diags with MP3Diags-unstable in places where this wasn't done
  * added close button on Gnome 3
* Sat Jul 23 2011 pascal.bleser@opensuse.org
- new package with version 1.1.01.054
